<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DistroInfos: Globals</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="doxygen-awesome.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DistroInfos
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('globals.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:</div>

<h3><a id="index_a"></a>- a -</h3><ul>
<li>AC_BLUE
: <a class="el" href="console_8h.html#a774e18355fd82cd9111d6e02b9766ea8">console.h</a>
</li>
<li>AC_CYAN
: <a class="el" href="console_8h.html#a512224b8a85db03240e104de5b5b0547">console.h</a>
</li>
<li>AC_GREEN
: <a class="el" href="console_8h.html#ae6216b392629e258aabd4150eaa8ba64">console.h</a>
</li>
<li>AC_MAGENTA
: <a class="el" href="console_8h.html#a2e519edd7ea5067b75ac68ce39336f0a">console.h</a>
</li>
<li>AC_RED
: <a class="el" href="console_8h.html#a13d15bc912876fa5f7e468a821ca6b85">console.h</a>
</li>
<li>AC_RESET
: <a class="el" href="console_8h.html#a09e3d8850ec86b7be59e9679e5dd90c2">console.h</a>
</li>
<li>AC_YELLOW
: <a class="el" href="console_8h.html#a8a067699b5a0dd2dd18f0c03d59eb55a">console.h</a>
</li>
<li>and
: <a class="el" href="entities_8h.html#aa3d7d535cf450b91b9cb6d9cee2edbb9">entities.h</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>CENTER
: <a class="el" href="window_8h.html#ac20c80020036bc28cfc3f699f79b9180a2159ffbd3a68037511ab5ab4dd35ace7">window.h</a>
</li>
<li>Class
: <a class="el" href="entities_8h.html#a135053f5aaf67c7d93d2a3cb1967a7cd">entities.h</a>
</li>
<li>clone()
: <a class="el" href="entities_8h.html#ae31fb524ad1aca9ab324d702809e25ea">entities.h</a>
, <a class="el" href="entities_8c.html#ae31fb524ad1aca9ab324d702809e25ea">entities.c</a>
</li>
<li>cmake_minimum_required()
: <a class="el" href="_c_make_lists_8txt.html#a1765c2a63e91d633f34e1b7d6d65172b">CMakeLists.txt</a>
</li>
<li>CONSOLE_IMPORT
: <a class="el" href="console_8c.html#a3249c00cb3a3a31b431011b37e30fbae">console.c</a>
</li>
<li>construct_progress_bar()
: <a class="el" href="progress_8c.html#ad12baab4f26f0e919833dbda6a0b5e6c">progress.c</a>
</li>
<li>createAppIcon()
: <a class="el" href="window_8c.html#afd77e11a17ce9641ae9f0771398a8f04">window.c</a>
</li>
<li>createWindow()
: <a class="el" href="window_8c.html#a7a540c1c45a29e3b479086beee4bd8b9">window.c</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>Debug
: <a class="el" href="debug_8h.html#ab492680ed4011036b504fd042d1703e3">debug.h</a>
</li>
<li>delete()
: <a class="el" href="entities_8c.html#a66517f036118f7a6c295c6b6a28dfe00">entities.c</a>
, <a class="el" href="entities_8h.html#a04b84d794c93872630b68de61df7160b">entities.h</a>
</li>
<li>differ()
: <a class="el" href="entities_8c.html#aeadad28c375d0bb9fd2218cc6409aae0">entities.c</a>
, <a class="el" href="entities_8h.html#aeadad28c375d0bb9fd2218cc6409aae0">entities.h</a>
</li>
<li>draw()
: <a class="el" href="progress_8c.html#a2a5211293a911aff05cfc7d2b16f9493">progress.c</a>
</li>
</ul>


<h3><a id="index_e"></a>- e -</h3><ul>
<li>EXTERN
: <a class="el" href="console_8h.html#a77366c1bd428629dc898e188bfd182a3">console.h</a>
, <a class="el" href="include_8h.html#a77366c1bd428629dc898e188bfd182a3">include.h</a>
, <a class="el" href="window_8h.html#a77366c1bd428629dc898e188bfd182a3">window.h</a>
, <a class="el" href="vectors_8h.html#a77366c1bd428629dc898e188bfd182a3">vectors.h</a>
, <a class="el" href="vec4_8h.html#a77366c1bd428629dc898e188bfd182a3">vec4.h</a>
, <a class="el" href="vec3_8h.html#a77366c1bd428629dc898e188bfd182a3">vec3.h</a>
, <a class="el" href="vec2_8h.html#a77366c1bd428629dc898e188bfd182a3">vec2.h</a>
, <a class="el" href="uuid_8h.html#a77366c1bd428629dc898e188bfd182a3">uuid.h</a>
, <a class="el" href="string_8h.html#a77366c1bd428629dc898e188bfd182a3">string.h</a>
, <a class="el" href="shape_8h.html#a77366c1bd428629dc898e188bfd182a3">shape.h</a>
, <a class="el" href="progress_8h.html#a77366c1bd428629dc898e188bfd182a3">progress.h</a>
, <a class="el" href="point3_8h.html#a77366c1bd428629dc898e188bfd182a3">point3.h</a>
, <a class="el" href="point2_8h.html#a77366c1bd428629dc898e188bfd182a3">point2.h</a>
, <a class="el" href="entities_8h.html#a77366c1bd428629dc898e188bfd182a3">entities.h</a>
</li>
</ul>


<h3><a id="index_f"></a>- f -</h3><ul>
<li>find_package()
: <a class="el" href="entities_2_c_make_lists_8txt.html#a18ff7258b0d13219b4b2314ee1a60f80">CMakeLists.txt</a>
</li>
<li>ftou8()
: <a class="el" href="progress_8c.html#aadbb382475e412d9f67e1f912a391b07">progress.c</a>
</li>
</ul>


<h3><a id="index_i"></a>- i -</h3><ul>
<li>in
: <a class="el" href="entities_8h.html#a7cc019ad88e04ddd4d5ed8b80e8bd25d">entities.h</a>
</li>
<li>initApp()
: <a class="el" href="main_8c.html#ac8fc9587d2094c11fc0f404d56e35be7">main.c</a>
</li>
<li>initSDL()
: <a class="el" href="main_8c.html#a9b043e37d70fb76bac0a10f7c0680b82">main.c</a>
</li>
<li>is
: <a class="el" href="entities_8h.html#a9870e0caa2f8e3e5700c4cbb21d73c07">entities.h</a>
</li>
<li>isnt
: <a class="el" href="entities_8h.html#a5ec7beebdb5fb0c15754963d986d08c0">entities.h</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>main()
: <a class="el" href="main_8c.html#ae66f6b31b5ad750f1fe042a706a4e3d4">main.c</a>
</li>
<li>MAIN
: <a class="el" href="window_8h.html#a145d53f2e8ed981aac72adb2e80bba74a41c6eb506ccf657cc7e958c8e8c769cd">window.h</a>
</li>
</ul>


<h3><a id="index_n"></a>- n -</h3><ul>
<li>new()
: <a class="el" href="entities_8c.html#a61c17da756851b41a9369a27d312f094">entities.c</a>
, <a class="el" href="entities_8h.html#a61c17da756851b41a9369a27d312f094">entities.h</a>
</li>
<li>not
: <a class="el" href="entities_8h.html#a31739c27bdcfdac9faae7bf7a5df49e4">entities.h</a>
</li>
</ul>


<h3><a id="index_o"></a>- o -</h3><ul>
<li>or
: <a class="el" href="entities_8h.html#a339a611d7f9dc3a59c359f0da7beaf3c">entities.h</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>parse_numbers()
: <a class="el" href="common_8c.html#a1214e1e0d4c22f3ecab0845c107aedd3">common.c</a>
, <a class="el" href="common_8h.html#a1214e1e0d4c22f3ecab0845c107aedd3">common.h</a>
</li>
<li>Point2
: <a class="el" href="point2_8c.html#aa4fc1d7d98df259a2b5eaf3aac2724de">point2.c</a>
, <a class="el" href="point2_8h.html#a6dfb77e714d8c9cd079e886b028eca83">point2.h</a>
</li>
<li>Point2_Position()
: <a class="el" href="point2_8c.html#a8fd52ca0eaff0f74643ea1c423f3d97e">point2.c</a>
</li>
<li>Point2Class
: <a class="el" href="point2_8h.html#aed9f454e74b7b7c0f69b99a814cb6073">point2.h</a>
</li>
<li>Point3
: <a class="el" href="point3_8c.html#a54d6d56ffc22fe894ca8c3790235fc8b">point3.c</a>
, <a class="el" href="point3_8h.html#aff587f59838164a237c9776bd5be7b03">point3.h</a>
</li>
<li>Point3_Position()
: <a class="el" href="point3_8c.html#a4875c31410ccea70fc9a41ec8eeeff36">point3.c</a>
</li>
<li>Point3Class
: <a class="el" href="point3_8h.html#a58a9b792c8320a68f51540dd97f4f135">point3.h</a>
</li>
<li>prepareRender()
: <a class="el" href="window_8c.html#afda0e6900518a6e14fa7c96e3eff3484">window.c</a>
</li>
<li>printError()
: <a class="el" href="console_8c.html#a3e82e53eb3ea53316dd60472dbad592f">console.c</a>
, <a class="el" href="console_8h.html#a69eac9344a97459b5cd78fae29139a92">console.h</a>
</li>
<li>printInfo()
: <a class="el" href="console_8h.html#a75888833bd0ad75c999ccb617029619c">console.h</a>
, <a class="el" href="console_8c.html#aa577b8543d1626d8e7a4f10f527f9f30">console.c</a>
</li>
<li>printPrimary()
: <a class="el" href="console_8c.html#aaabcb41b6d0242f68f7bd1aef62f4209">console.c</a>
, <a class="el" href="console_8h.html#a85964c07ad881d21d4f4a9e732d16408">console.h</a>
</li>
<li>printStrong()
: <a class="el" href="console_8c.html#a7b91af5d6c3334e7cfe9ad2efd8d87bd">console.c</a>
, <a class="el" href="console_8h.html#a7b4b74a88dc472e1238fdc1f283530f1">console.h</a>
</li>
<li>printSuccess()
: <a class="el" href="console_8h.html#ade36de660218fceb8ea273f49f56d5e3">console.h</a>
, <a class="el" href="console_8c.html#af359c31e0411e29dd6000026bed6e39b">console.c</a>
</li>
<li>printWarning()
: <a class="el" href="console_8h.html#a68fa145f2ecb343ca428fd5897c8ce36">console.h</a>
, <a class="el" href="console_8c.html#a471517fcd9ad278e1e5c420ae297b395">console.c</a>
</li>
<li>Progress
: <a class="el" href="progress_8c.html#aed46d2a18a56cc4ddd19701767ece0b1">progress.c</a>
, <a class="el" href="progress_8h.html#a1303d4363d5d496489f50984555a7c4c">progress.h</a>
</li>
<li>ProgressClass
: <a class="el" href="progress_8h.html#ab8ed330664f777f82c4508eebc438276">progress.h</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>read_file()
: <a class="el" href="common_8c.html#a50ef6a01ad295dcd35f0f7fde0845dde">common.c</a>
, <a class="el" href="common_8h.html#aa345dd5bdde08d3f1cbe43788fba387c">common.h</a>
</li>
<li>Release
: <a class="el" href="debug_8h.html#adf8c40f5eee095608f9892c4b9c533f0">debug.h</a>
</li>
<li>render()
: <a class="el" href="window_8c.html#a6006961808c267856b5bcb01706bfa4b">window.c</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>setup()
: <a class="el" href="progress_8c.html#a2cdf6054671dcf6fb5cab76cb2cc8454">progress.c</a>
</li>
<li>Shape
: <a class="el" href="shape_8h.html#a22c13ec1e77d6822e1ead721a8c2ae14">shape.h</a>
, <a class="el" href="shape_8c.html#adff712f67b602211b7331a7b2c06f4df">shape.c</a>
</li>
<li>Shape_Position()
: <a class="el" href="shape_8c.html#a2f8a4878baa6b0adfc66c9e676c332d5">shape.c</a>
</li>
<li>Shape_Rotation()
: <a class="el" href="shape_8c.html#aa09dabb511305dbdfc85632b41f65555">shape.c</a>
</li>
<li>ShapeClass
: <a class="el" href="shape_8h.html#a09423b252e882c69c9a3cd7026e359a9">shape.h</a>
</li>
<li>sizeOf()
: <a class="el" href="entities_8h.html#a1a8a01f86a3029cbc2a17af4e2473609">entities.h</a>
, <a class="el" href="entities_8c.html#a1a8a01f86a3029cbc2a17af4e2473609">entities.c</a>
</li>
<li>SPLASH
: <a class="el" href="window_8h.html#a145d53f2e8ed981aac72adb2e80bba74a96a92720d3d9970db2d464166b8a569e">window.h</a>
</li>
<li>String
: <a class="el" href="string_8h.html#ac3f0b1bc0c359d023e4087d0a5bf5cef">string.h</a>
, <a class="el" href="string_8c.html#adfbb33f092ac9183984282d7a455abf2">string.c</a>
</li>
<li>StringClass
: <a class="el" href="string_8h.html#a7b8d5f391a1b623ca8634cbdecd1341c">string.h</a>
</li>
</ul>


<h3><a id="index_u"></a>- u -</h3><ul>
<li>UNDEFINED
: <a class="el" href="window_8h.html#ac20c80020036bc28cfc3f699f79b9180a605159e8a4c32319fd69b5d151369d93">window.h</a>
</li>
<li>Uuid
: <a class="el" href="uuid_8h.html#a73d168a94630664ef7dec64540bd9306">uuid.h</a>
, <a class="el" href="uuid_8c.html#a4c13c4016d7a4e42a6718182f0561dab">uuid.c</a>
</li>
<li>UuidClass
: <a class="el" href="uuid_8h.html#aeaecee048736f8af77fe2861adc828df">uuid.h</a>
</li>
</ul>


<h3><a id="index_v"></a>- v -</h3><ul>
<li>Vec
: <a class="el" href="vectors_8h.html#acd93029bbe021e787fefaf6d9c8a24f4">vectors.h</a>
</li>
<li>Vec2
: <a class="el" href="vec2_8h.html#ae249704e052a7d407ee6cbbd8e9db506">vec2.h</a>
, <a class="el" href="vec2_8c.html#abf1f697c978e4df93420066126174949">vec2.c</a>
</li>
<li>Vec2Class
: <a class="el" href="vec2_8h.html#ad1b0f793306291851fa021dd5331966c">vec2.h</a>
</li>
<li>Vec3
: <a class="el" href="vec3_8h.html#a507a8c1f2248e0ba33a009499662a258">vec3.h</a>
, <a class="el" href="vec3_8c.html#a8ad2109a9097a1b0dba7dedfe46c9bbe">vec3.c</a>
</li>
<li>Vec3Class
: <a class="el" href="vec3_8h.html#a8f3024ca5c236a42cdab3747351a3511">vec3.h</a>
</li>
<li>Vec4
: <a class="el" href="vec4_8h.html#ad3f2058bdb5ea5079622d116f8f494b6">vec4.h</a>
, <a class="el" href="vec4_8c.html#a20f082cfe8c05af4d6fb6dcdf4d50396">vec4.c</a>
</li>
<li>Vec4Class
: <a class="el" href="vec4_8h.html#a89d0873b2801aaf0103eac45c38cd695">vec4.h</a>
</li>
<li>VecClass
: <a class="el" href="vectors_8h.html#a18ae7a1571897164df66eb4070266d3c">vectors.h</a>
</li>
<li>VecList
: <a class="el" href="vectors_8h.html#ab9955d1a98575dd9b74455319fad0ed8">vectors.h</a>
</li>
<li>VecListClass
: <a class="el" href="vectors_8h.html#ae4046f062095249978b78bcaa8e42c54">vectors.h</a>
</li>
</ul>


<h3><a id="index_w"></a>- w -</h3><ul>
<li>Window
: <a class="el" href="window_8h.html#a6c274563105b264d363cff991ce7b78a">window.h</a>
, <a class="el" href="window_8c.html#a4033b14bb34b9f7ce6eec4a13b73bc15">window.c</a>
</li>
<li>WindowClass
: <a class="el" href="window_8h.html#afd15d98ee86456f1002213293d6fbb8a">window.h</a>
</li>
<li>WindowPositions
: <a class="el" href="window_8h.html#aeaf4082d29c321358fa903e05407d3fa">window.h</a>
</li>
<li>WindowPositionsEnum
: <a class="el" href="window_8h.html#ac20c80020036bc28cfc3f699f79b9180">window.h</a>
</li>
<li>WindowTypes
: <a class="el" href="window_8h.html#ac2189eede9c03ed0f6ef559dafc208bc">window.h</a>
</li>
<li>WindowTypesEnum
: <a class="el" href="window_8h.html#a145d53f2e8ed981aac72adb2e80bba74">window.h</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
